Apache Flink 1.4.2 Released

08 Mar 2018

The Apache Flink community released the second bugfix version of the Apache Flink 1.4 series.

This release includes more than 10 fixes and minor improvements for Flink 1.4.1. The list below includes a detailed list of all fixes.

We highly recommend all users to upgrade to Flink 1.4.2.

Updated Maven dependencies:


You can find the binaries on the updated Downloads page.

List of resolved issues:


  • [FLINK-6321] - RocksDB state backend Checkpointing is not working with KeyedCEP.
  • [FLINK-7756] - RocksDB state backend Checkpointing (Async and Incremental) is not working with CEP.


  • [FLINK-8423] - OperatorChain#pushToOperator catch block may fail with NPE
  • [FLINK-8451] - CaseClassSerializer is not backwards compatible in 1.4
  • [FLINK-8520] - CassandraConnectorITCase.testCassandraTableSink unstable on Travis
  • [FLINK-8621] - PrometheusReporterTest.endpointIsUnavailableAfterReporterIsClosed unstable on Travis
  • [FLINK-8692] - Mistake in MyMapFunction code snippet
  • [FLINK-8735] - Add savepoint migration ITCase that covers operator state
  • [FLINK-8741] - KafkaFetcher09/010/011 uses wrong user code classloader
  • [FLINK-8772] - FlinkKafkaConsumerBase partitions discover missing a log parameter
  • [FLINK-8791] - Fix documentation on how to link dependencies
  • [FLINK-8798] - Make commons-logging a parent-first pattern
  • [FLINK-8849] - Wrong link from concepts/runtime to doc on chaining


  • [FLINK-8202] - Update queryable section on configuration page
  • [FLINK-8574] - Add timestamps to travis logging messages
  • [FLINK-8576] - Log message for QueryableState loading failure too verbose
  • [FLINK-8652] - Reduce log level of QueryableStateClient.getKvState() to DEBUG


  • [FLINK-8308] - Update yajl-ruby dependency to 1.3.1 or higher